function urldecode (str) {
    return decodeURIComponent((str + '').replace(/\+/g, '%20'));
}
    
var RUru = {
    "sProcessing":   "Подождите...",
    "sLengthMenu":   "Показать _MENU_ записей",
    "sZeroRecords":  "Записи отсутствуют.",
    "sInfo":         "Записи с _START_ до _END_ из _TOTAL_ записей",
    "sInfoEmpty":    "Записи с 0 до 0 из 0 записей",
    "sInfoFiltered": "(отфильтровано из _MAX_ записей)",
    "sInfoPostFix":  "",
    "sSearch":       "Поиск:",
    "sUrl":          "",
    "oPaginate": {
        "sFirst": "Первая",
        "sPrevious": "Предыдущая",
        "sNext": "Следующая",
        "sLast": "Последняя"
    }
};

            
$(function() {
  var koren = "/docs/69069/";
  //"jsonp/"
  //"/docs/69069/"
  
            $('#example2').dataTable( {   
                "aoColumns": [ 
                {
                    "sTitle": "",  
                    "sName": "foto" , 
                    "mDataProp": "foto",
                    "fnRender": function(oObj) {
                                
                        var foto = oObj.aData["foto"];
                           
                                
                        var img = '';
                       
                        img = '<img src="http://www.fss.ru/files/28205/' + foto + '">';
                        return img; 
                    }
                },

                {
                    "sTitle": "",  
                    "sName": "dol" , 
                    "mDataProp": "dol", 
                    "bVisible": false
                },

                {
                    "sTitle": "",  
                    "sName": "otdel" , 
                    "mDataProp": "otdel", 
                    "bVisible": false
                },

                {
                    "sTitle": "",  
                    "sName": "otdeldol" , 
                    "mDataProp": null,
                    "fnRender": function(oObj) {
                        var fio = oObj.aData["fio"];
                        var dol = oObj.aData["dol"];
                        var otdel = oObj.aData["otdel"];
                        var tel = oObj.aData["tel"];
                        var priem = oObj.aData["priem"];
                        var dol_otdel = '';
                        dol_otdel += "<b>" + fio + "</b><br>";
                        if (otdel.indexOf("отдел") != -1){
                            dol = dol.split('отдела').join('');
                            otdel = otdel.toLocaleLowerCase().split('отдел').join('отдела').split('ый').join('ого').split('ий').join('ого').split('ой').join('ого');
                        }
                        dol_otdel += dol + " " + otdel.split('Отдел').join('') + "<br>";
                        dol_otdel += "Телефон: " + tel + "<br>";
                        if (priem != ""){
                            dol_otdel += "Приём граждан: " + priem;
                        }
                        return dol_otdel; 
                    }
                },
                {
                    "sTitle": "",  
                    "sName": "fio" , 
                    "mDataProp": "fio", 
                    "bVisible": false
                },

                {
                    "sTitle": "",  
                    "sName": "tel" , 
                    "mDataProp": "tel", 
                    "bVisible": false
                },

                {
                    "sTitle": "",  
                    "sName": "priem" , 
                    "mDataProp": "priem", 
                    "bVisible": false
                },

                {
                    "sTitle": "",  
                    "sName": "vopros" , 
                    "mDataProp": null,
                    "fnRender": function(oObj) {
                        var fio = oObj.aData["fio"];
                        var dol = oObj.aData["dol"];
                        var otdel = oObj.aData["otdel"];
                        var tel = oObj.aData["tel"];
                        var priem = oObj.aData["priem"];
                        var vopros = '';
                        vopros += '<a href="/region/ro74/answers/question/index.shtml">';
                        vopros += '<img width="39" hspace="0" height="39" border="0" src="http://fss.ru/files/20426/qstblue1.png" alt="Задать вопрос" title="Задать вопрос"/>';
                        vopros += '</a>';
                        return vopros; 
                    }
                }
                    
                    
                ],
                "sAjaxSource": "/68861/69069/person_chro.json"
                ,
                "bLengthChange": false,
                "bFilter": true,
                "bSort": false,
                "bInfo": true,
                "bAutoWidth": true,
                
                "bPaginate": false,
                "bProcessing": true,
                "oLanguage": RUru
            } );        
          
          
          
              if ($.address.value() == "/") $.address.value('/0');

    $.address.change(function(event){
       
       if(event.parameters['f'])
            $('#example2').dataTable().fnFilter(urldecode(event.parameters['f']));
       
        switch(event.path){
            case '/0':
                $('#example2').dataTable().fnReloadAjax( '/68861/69069/person_chro.json');  
                break    
            case '/1':
                $('#example2').dataTable().fnReloadAjax('/68861/69069/person_fil1.json');  
                break  
           case '/2':
                $('#example2').dataTable().fnReloadAjax('/68861/69069/person_fil2.json');  
                break  
           case '/3':
                $('#example2').dataTable().fnReloadAjax('/68861/69069/person_fil3.json');  
                break 
           case '/4':
                $('#example2').dataTable().fnReloadAjax('/68861/69069/person_fil4.json');  
                break 
           case '/5':
                $('#example2').dataTable().fnReloadAjax('/68861/69069/person_fil5.json');  
                break 
           case '/6':
                $('#example2').dataTable().fnReloadAjax('/68861/69069/person_fil6.json');  
                break 
           case '/7':
                $('#example2').dataTable().fnReloadAjax("/68861/69069/" + 'person_fil7.json');  
                break 
           case '/8':
                $('#example2').dataTable().fnReloadAjax('/68861/69069/person_fil8.json');  
                break 
           case '/9':
                $('#example2').dataTable().fnReloadAjax('/68861/69069/person_fil9.json');  
                break 
           case '/10':
                $('#example2').dataTable().fnReloadAjax('/68861/69069/person_fil10.json');  
                break 
        };

    });
            
  
       
});

